pcl::Intensity8u Struct Reference
Module common

A point structure representing the grayscale intensity in single-channel images. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::Intensity8u:

## Public Member Functions

| Intensity8u (const _Intensity8u &p)
| Intensity8u ()

## Friends

std::ostream & | operator<< (std::ostream &os, const Intensity8u &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_Intensity8u
| PCL_ADD_INTENSITY_8U

## Detailed Description

A point structure representing the grayscale intensity in single-channel images.

Intensity is represented as a uint8_t value.

Definition at line 386 of file point_types.hpp.

## Constructor & Destructor Documentation

## Intensity8u() [1/2]

pcl::Intensity8u::Intensity8u | ( | const _Intensity8u & | p | ) |

inline

Definition at line 388 of file point_types.hpp.

## Intensity8u() [2/2]

pcl::Intensity8u::Intensity8u | ( |  | ) |

inline

Definition at line 393 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Intensity8u & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp